{ self, inputs, ... }:
{
  flake.nixosModules.uConsoleHome =
    { self, pkgs, ... }:
    {
      imports = [ self.nixosModules.desktopHomeBase ];

      chiasson.users.extraModules.olivier = [
        {
          chiasson.home.hardware.uconsoleGamepad.enable = true;

          chiasson.home.editors.vscode = {
            enable = true;
            extensions = with pkgs.vscode-extensions; [
              alefragnani.project-manager
              johnpapa.vscode-peacock
            ];
          };
        }
      ];
    };
}
